Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: [Ubuntu Software Center] Pakketafhankelijkheden kunnen niet opgelost worden.  (gelezen 1508 keer)

Offline Tuxx

  • Lid
  • Steunpunt: Nee
Beste mede Ubuntu gebruikers.

Ik zal het bij deze kort houden omdat dit al het TWEEDE topic is dat ik vandaag open met ietwat de zelfde probleem omschrijving.
Het gaat dit keer alleen om het programma Wine. Als ik dit wil installeren in het software center dan krijg ik deze melding van Ubuntu:

Pakketafhankelijkheden kunnen niet opgelost worden.
Details:
De afhankelijkheden van de volgende pakketten konden niet geïnstalleerd worden:

wine1.4: PreDepends: dpkg (>= 1.15.7.2~) maar 1.16.7ubuntu6 zal worden geïnstalleerd
         Depends: libc6 (>= 2.14) maar 2.15-0ubuntu20 zal worden geïnstalleerd
         Depends: wine1.4-amd64 (= 1.4.1-0ubuntu1) maar 1.4.1-0ubuntu1 zal worden geïnstalleerd
         Depends: wine1.4-i386 (= 1.4.1-0ubuntu1) maar het zal niet worden geïnstalleerd


Wat is dit? En hoe kan ik dit oplossen?

Bij voorbaat dank.

Offline vrijevogel

  • Lid
  • Steunpunt: Nee
Wine installeren levert normaliter geen problemen op. Blijkbaar zijn de pakketten in je software-centrum gebroken.

1. Probeer eerst je pakketten up te daten
2. Installeer synaptic
3. In synpatic voer je vervolgens het commando " repareer gebroken pakketten" uit.
4. Probeer dan vanuit software-centrum wine te installeren

Offline Tuxx

  • Lid
  • Steunpunt: Nee
Oke ik heb synaptic maar hoe kan ik nu in dat programma een commando uitvoeren?

Offline wowo

  • Lid
  • Steunpunt: Nee
Oke ik heb synaptic maar hoe kan ik nu in dat programma een commando uitvoeren?
Heb het zelf nog nooit bij de hand gehad maar ik zie dat je in het linker veld kan sorteren op "Gebroken".
En dan kan je klikken op "Bewerken".
Ik zie dan in het menu een item staan:
"Gebroken pakketten repareren"
Desktop Ubuntu 18.04 LTS

Offline Tuxx

  • Lid
  • Steunpunt: Nee
Precies het zelfde probleem als in mijn andere topic, als ik daarop klik komt er te staan: E: Fout, pkgProblemResolver::Resolve maakte scheidingen aan, dit kan veroorzaakt worden door vastgehouden pakketten.
E: Kan afhankelijkheden niet corrigeren

Als iemand me hiermee zou helpen zou dat tof zijn!

Offline Vistaus

  • Lid
    • vistaus
  • Steunpunt: Nee
Dash (dat is het Ubuntu-logo linksboven) --> typ Terminal en open een Terminalvenster

Voer nu het volgende commando uit:
sudo dpkg --configure -a

(bij het intypen van je wachtwoord zie je niks, ook geen sterretjes, dat hoort zo)

En daarna:
sudo apt-get -f install

Als het goed is zou ie nu alles moeten gaan repareren.

Offline Tuxx

  • Lid
  • Steunpunt: Nee
Dankje Vistaus ik heb de commando's ingevoerd:
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
Statusinformatie wordt gelezen... Klaar
0 pakketten opgewaardeerd, 0 pakketten nieuw geïnstalleerd, 0 te verwijderen en 2 niet opgewaardeerd.

Net als in mijn andere topic met het zelfde probleem ben ik bang dat dit niks geholpen heeft aangezien ik dit al eerder heb gedaan.
Misschien als side-note: Ik heb Ubuntu 12.10 geinstalleerd op een partitie met de Windows installer vanaf de Ubuntu website. Kan het hierdoor komen dat ik met deze pakket problemen zit?

Offline Luckiboy

  • Lid
    • luckiboy
  • Steunpunt: Nee
Net als in mijn andere topic met het zelfde probleem ben ik bang dat dit niks geholpen heeft aangezien ik dit al eerder heb gedaan.
Misschien als side-note: Ik heb Ubuntu 12.10 geinstalleerd op een partitie met de Windows installer vanaf de Ubuntu website. Kan het hierdoor komen dat ik met deze pakket problemen zit?
Je bedoelt een wubi installatie? Voor het "proeven" aan Ubuntu vind ik het een goede mogelijkheid, maar voor langdurig gebruik raad ik toch echt échte installatie aan, met een cd of usb. Voor serieus gebruik is dit toch beter, en krijg je zeer waarschijnlijk minder problemen. Kijk voor meer informatie bijvoorbeeld eens op de Nederlandstalige wiki: http://wiki.ubuntu-nl.org/CategoryInstallatie (hier kun je je versie uitkiezen voor een handleiding, op dit moment is dit óf 12.04 LTS Precise óf 12.10 Quantal)

Offline Vistaus

  • Lid
    • vistaus
  • Steunpunt: Nee
Aangezien die commando's geen gebroken pakketten laten zien lijkt alles oké. Maar die Windows-installer is sowieso iets wat je wilt vermijden.
https://sites.google.com/site/computertip/installeren#TOC-Installeer-niet-binnen-Windows-Wubi-methode-maar-op-een-aparte-partitie

Edit: Luckyboy was me min of meer voor :P

Offline Tuxx

  • Lid
  • Steunpunt: Nee
Ik denk dat ik inderdaad maar is het Ubuntu iso bestandje van de Ubuntu site ga downloaden en branden! Bedankt voor de tip!